<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotSourcesMetadata\BotSourceItem;

use UnexpectedValueException;




class SourceProvider
{
    


    const UNKNOWN = 0;
    


    const BING = 1;
    


    const GOOGLE = 2;
    


    const SUPPORT = 3;
    


    const OTHER = 4;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::BING => 'BING',
        self::GOOGLE => 'GOOGLE',
        self::SUPPORT => 'SUPPORT',
        self::OTHER => 'OTHER',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

